package com.kingdee.eas.custom.designresults;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class DesignResultsFactory
{
    private DesignResultsFactory()
    {
    }
    public static com.kingdee.eas.custom.designresults.IDesignResults getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.designresults.IDesignResults)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("2A576C3D") ,com.kingdee.eas.custom.designresults.IDesignResults.class);
    }
    
    public static com.kingdee.eas.custom.designresults.IDesignResults getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.designresults.IDesignResults)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("2A576C3D") ,com.kingdee.eas.custom.designresults.IDesignResults.class, objectCtx);
    }
    public static com.kingdee.eas.custom.designresults.IDesignResults getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.designresults.IDesignResults)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("2A576C3D"));
    }
    public static com.kingdee.eas.custom.designresults.IDesignResults getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.designresults.IDesignResults)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("2A576C3D"));
    }
}